package model

import (
	"encoding/xml"
)

type Studium struct {
	XMLName xml.Name  `xml:"studium"`
	Faculty []Faculty `xml:"fakultaet"`
}

type Faculty struct {
	XMLName     xml.Name      `xml:"fakultaet"`
	Name        string        `xml:"name,attr"`
	ID          string        `xml:"id,attr"`
	Studiengang []Studiengang `xml:"studiengang"`
}

type Studiengang struct {
	XMLName xml.Name `xml:"studiengang"`
	Name    string   `xml:"name,attr"`
	ID      string   `xml:"id,attr"`
	Semgrp  []Semgrp `xml:"semgrp"`
}

type Semgrp struct {
	XMLName xml.Name `xml:"semgrp"`
	Name    string   `xml:"name,attr"`
}
