package model

type Module struct {
	UUID     string `json:"uuid" db:"uuid"`
	Name     string `json:"name" db:"Name"`
	Prof     string `json:"prof" db:"Prof"`
	Course   string `json:"course" db:"course"`
	Semester string `json:"semester" db:"semester"`
	Events   Events `json:"events"`
}

func (m *Module) SetName(name string) {
	m.Name = name
}

type ModuleDTO struct {
	UUID      string `json:"uuid" db:"uuid"`
	Name      string `json:"name" db:"Name"`
	Prof      string `json:"prof" db:"Prof"`
	Course    string `json:"course" db:"course"`
	Semester  string `json:"semester" db:"semester"`
	EventType string `db:"EventType" json:"eventType"`
}

func (m *ModuleDTO) GetName() string {
	return m.Name
}

func (m *ModuleDTO) SetName(name string) {
	m.Name = name
}
