/**
 * Format a date to a string in the format "YYYYMMDD".
 * @param date - The date to format
 * @returns string - The formatted date
 */
export function formatYearMonthDay(date: Date): string {
  return date.toISOString().split("T")[0].replace(/-/g, "");
}
